Skip to main content
GET
Get schedule by id

Path Parameters

scheduleId
string | null
required

Schedule id Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

Response

OK

admin_key
object | null

The public key which controls access to various network entities.

consensus_timestamp
string

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

creator_account_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

deleted
boolean
Example:

false

executed_timestamp
string | null

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

expiration_time
string | null

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

memo
string
Example:

"created on 02/10/2021"

payer_account_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

schedule_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

signatures
object[]
transaction_body
string<byte>
Example:

"Kd6tvu8="

wait_for_expiry
boolean